
%global meadversion 1.0.8
%global namedversion 1.0.8.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead
%bcond_with javadoc

%define mavengroup org.jboss.com.sun.httpserver

%define maven_version 1.0.8.Final-redhat-1

Name:      httpserver
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   Lightweight HTTP Server
License:   GPLv2 (with classpath exception)
Group:     Development/Java

%if %with mead
Source100: httpserver-1.0.8.Final-redhat-1-scm-sources.zip
Source102: httpserver-1.0.8.Final-redhat-1-javadoc.jar
Source103: httpserver-1.0.8.Final-redhat-1.pom
Source104: httpserver-1.0.8.Final-redhat-1-sources.jar
Source105: httpserver-1.0.8.Final-redhat-1-project-sources.tar.gz
Source106: httpserver-1.0.8.Final-redhat-1.jar
%endif

URL:       http://www.jboss.org/

BuildRequires:    jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         jpackage-utils

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Lightweight HTTP Server.

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

Requires:  jpackage-utils

%description javadoc
API documentation for %{name}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{name} %{namedversion} JPP %{name}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
%{_bindir}/unzip -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.8-1.Final_redhat_1.1
- Upgrade to 1.0.8.Final

* Thu Jul 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.7-1.Final_redhat_1.1
- Upgrade to 1.0.7.Final

* Tue Dec 15 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.6-1.Final_redhat_1.1
- Upgrade to 1.0.6.Final

* Tue Sep 15 2015 Neil Wallace <nwallace@redhat.com> - 1.0.5-1.Final_redhat_1.1
- Upgrade to 1.0.5.Final

* Mon Nov 24 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.4-1.Final_redhat_1.1
- Upgrade to 1.0.4.Final

* Mon Oct 07 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.1-4.Final_redhat_3
- Rebuild for EAP 6.2
- Fix junit dependency to upstream version

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-3.Final_redhat_2.3
- Rebuild for MD5

* Sun Aug 19 2012 Paul Gier <pgier@redhat.com> - 1.0.1-2.Final_redhat_2.3
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-2.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.1-2.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 04 2012 Yong Yang <yyang@redhat.com> - 0:1.0.1-2.Final_redhat_1
- Correct release number

* Thu May 03 2012 Yong Yang <yyang@redhat.com> - 0:1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-7.Final_redhat_1.3
- Requires jpackage-utils in javadoc subpackage

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-7.Final_redhat_1.2
- Rebuild

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-7.Final_redhat_1.1
- Rebuild to use new wrapper

* Tue Feb 21 2012 Weinan Li <weli@redhat.com> - 0:1.0.0-7.Final
- Upgrade to 1.0.0.Final

* Wed Dec 14 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-6.Beta3_redhat_1
- Upgrade to 1.0.0.Beta3

* Mon Nov 14 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-5.Beta2_redhat_1
- build rpm format

* Wed Oct 26 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-4
- upgrade to 1.0.0.Beta2

* Thu Aug 18 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-3
- change to productization git repository
- wolf pharse build

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
